summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2020-02-25 15:29:30 +0100
committerAndreas Sturmlechner <asturm@gentoo.org>2020-02-25 18:23:49 +0100
commitae8c19f8d28c0946c5d5e92a32b944621d466bb6 (patch)
tree39974984dc3edd56b27110901d5e2998a600c122 /kde-plasma/kactivitymanagerd
parentapp-crypt/qca: 2.3.0 version bump (diff)
downloadgentoo-ae8c19f8d28c0946c5d5e92a32b944621d466bb6.tar.gz
gentoo-ae8c19f8d28c0946c5d5e92a32b944621d466bb6.tar.bz2
gentoo-ae8c19f8d28c0946c5d5e92a32b944621d466bb6.zip
kde-plasma: Add KDE Plasma 5.18.2
Package-Manager: Portage-2.3.89, Repoman-2.3.20 Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
Diffstat (limited to 'kde-plasma/kactivitymanagerd')
-rw-r--r--kde-plasma/kactivitymanagerd/Manifest1
-rw-r--r--kde-plasma/kactivitymanagerd/kactivitymanagerd-5.18.2.ebuild36
2 files changed, 37 insertions, 0 deletions
diff --git a/kde-plasma/kactivitymanagerd/Manifest b/kde-plasma/kactivitymanagerd/Manifest
index 343fcda217e..8bc6f41c08e 100644
--- a/kde-plasma/kactivitymanagerd/Manifest
+++ b/kde-plasma/kactivitymanagerd/Manifest
@@ -1,2 +1,3 @@
DIST kactivitymanagerd-5.17.5.tar.xz 86660 BLAKE2B dfa615796556aeade9206c98180072348e587c72930de2f1cc6c12101879dedaa46485251a136c5a85dfd9a92c96b899edf6c0fef263cdc46a047bd7a3e1bff0 SHA512 584094f45abb922f15dc9b4db2da3cc624087b1524e3e161a4f4cc91425c534c37281d2a46e642320519baa389b69d7843a19b0720788b9795df9a24d0478ccf
DIST kactivitymanagerd-5.18.1.tar.xz 87028 BLAKE2B 9a39af5cf5e1213f49d6489ed470072e16a061b323986d16497c7094153508b69c19ef824a36057c555468ad9616fc2c2c218edbc569ec15429ce57e20f54e4a SHA512 ff6cd14ef09e4843b84770cdc02388fef2739840afe94188e0a6439f5b9b524d8224d6630ca022d58f1c170fb1fa7578b6636aa9e42b5f20a459855b96ac8963
+DIST kactivitymanagerd-5.18.2.tar.xz 86988 BLAKE2B 164dc742c4736051d52a59f1227231f6c5b952863af08bb76ddee95baaf05454f2169988f3d8dee81397a81a21b952e798608a2b9169bf669ad51145177a83a4 SHA512 3e387114cb4245357d8c7a042077b9591de1743a89efdeb0199ff354d67670d5021bca69bcb70679ea5f9f61ba95aed209370f98c48ce3c7f051b7f9dd9a55b3
diff --git a/kde-plasma/kactivitymanagerd/kactivitymanagerd-5.18.2.ebuild b/kde-plasma/kactivitymanagerd/kactivitymanagerd-5.18.2.ebuild
new file mode 100644
index 00000000000..b73b72946ff
--- /dev/null
+++ b/kde-plasma/kactivitymanagerd/kactivitymanagerd-5.18.2.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+KFMIN=5.66.0
+PVCUT=$(ver_cut 1-3)
+QTMIN=5.12.3
+inherit ecm kde.org
+
+DESCRIPTION="System service to manage user's activities, track the usage patterns etc."
+
+LICENSE="|| ( GPL-2 GPL-3 )"
+SLOT="5"
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86"
+IUSE=""
+
+RDEPEND="
+ >=kde-frameworks/kconfig-${KFMIN}:5
+ >=kde-frameworks/kcoreaddons-${KFMIN}:5
+ >=kde-frameworks/kcrash-${KFMIN}:5
+ >=kde-frameworks/kdbusaddons-${KFMIN}:5
+ >=kde-frameworks/kglobalaccel-${KFMIN}:5
+ >=kde-frameworks/ki18n-${KFMIN}:5
+ >=kde-frameworks/kio-${KFMIN}:5
+ >=kde-frameworks/kservice-${KFMIN}:5
+ >=kde-frameworks/kwindowsystem-${KFMIN}:5
+ >=kde-frameworks/kxmlgui-${KFMIN}:5
+ >=dev-qt/qtdbus-${QTMIN}:5
+ >=dev-qt/qtgui-${QTMIN}:5
+ >=dev-qt/qtsql-${QTMIN}:5[sqlite]
+ >=dev-qt/qtwidgets-${QTMIN}:5
+"
+DEPEND="${RDEPEND}
+ dev-libs/boost
+"